summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-11-30 18:59:39 -0300
committerPerberos <[email protected]>2011-11-30 18:59:39 -0300
commite59145232c55785c2d5687d615016e6250140e79 (patch)
treefc459bc643fa6f0c7ee37a234370bff28e08b200 /autogen.sh
downloadmate-backgrounds-e59145232c55785c2d5687d615016e6250140e79.tar.bz2
mate-backgrounds-e59145232c55785c2d5687d615016e6250140e79.tar.xz
moving from https://github.com/perberos/Mate-Desktop-Environment
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..7c0befd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-backgrounds"
+
+(test -f $srcdir/configure.in) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE Git"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+USE_MATE2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+. mate-autogen.sh
+